Qwt User's Guide 5.2.2

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# QwtPolygonFData Class Reference

Data class containing a single QwtArray<QwtDoublePoint> object. More...

`#include <qwt_data.h>`

Inheritance diagram for QwtPolygonFData:
[legend]

List of all members.

## Public Member Functions
virtual QwtDoubleRect | boundingRect () const
virtual QwtData * | copy () const
const QPolygonF & | data () const
QwtPolygonFData & | operator= (const QwtPolygonFData &)
| QwtPolygonFData (const QPolygonF &)
virtual size_t | size () const
virtual double | x (size_t i) const
virtual double | y (size_t i) const

## Detailed Description

Data class containing a single QwtArray<QwtDoublePoint> object.

## Constructor & Destructor Documentation

QwtPolygonFData::QwtPolygonFData | ( | const QPolygonF & | polygon | ) |

Constructor

Parameters:

  polygon | Polygon data

See also:
  QwtPlotCurve::setData()

## Member Function Documentation

QwtDoubleRect QwtData::boundingRect | ( |  | ) | const`[virtual, inherited]`

Returns the bounding rectangle of the data. If there is no bounding rect, like for empty data the rectangle is invalid: QwtDoubleRect::isValid() == false

Warning:
  This is an slow implementation iterating over all points. It is intended to be overloaded by derived classes. In case of auto scaling boundingRect() is called for every replot, so it might be worth to implement a cache, or use x(0), x(size() - 1) for ordered data ...

Reimplemented in QwtArrayData, and QwtCPointerData.

QwtData * QwtPolygonFData::copy | ( |  | ) | const`[virtual]`

Returns:
  Pointer to a copy (virtual copy constructor)

Implements QwtData.

const QPolygonF & QwtPolygonFData::data | ( |  | ) | const

Returns:
  Point array

QwtPolygonFData & QwtPolygonFData::operator= | ( | const QwtPolygonFData & | data | ) |

Assignment.

size_t QwtPolygonFData::size | ( |  | ) | const`[virtual]`

Returns:
  Size of the data set

Implements QwtData.

double QwtPolygonFData::x | ( | size_t | i | ) | const`[virtual]`

Return the x value of data point i

Parameters:

  i | Index

Returns:
  x X value of data point i

Implements QwtData.

double QwtPolygonFData::y | ( | size_t | i | ) | const`[virtual]`

Return the y value of data point i

Parameters:

  i | Index

Returns:
  y Y value of data point i

Implements QwtData.